// Required Components
import brush from '../icons/brush';
import list from '../icons/list';
import card from '../icons/card';
import tile from '../icons/tile';

const { __ } = wp.i18n;
const { BlockControls } = wp.blockEditor;
const { Fragment } = wp.element;
const { 
    Toolbar,
    DropdownMenu,
    MenuGroup,
    MenuItem,
 } = wp.components;

export default ( { props } ) => {
    if ( ! props ) return '';

     const { 
        setAttributes,
        attributes: { postStyle }
    } = props;

    const PostStyle = () => (
        <DropdownMenu
            icon={ brush }
            hasArrowIndicator={ true }
            label={ __( 'Change post style', 'sv_posts' ) }
        >
            { () => (
                <Fragment>
                    <MenuGroup>
                        <MenuItem
                            icon={ list }
                            isSelected={ true }
                            onClick={ () => {
                                setAttributes( { postStyle: 'list' } )
                            } }
                        >
                        { __( 'List', 'sv_posts' ) }
                        </MenuItem>
                        <MenuItem
                            icon={ card }
                            isSelected={ postStyle === 'card' ? true : false }
                            onClick={ () => {
                                setAttributes( { postStyle: 'card' } )
                            } }
                        >
                        { __( 'Card', 'sv_posts' ) }
                        </MenuItem>
                        <MenuItem
                            icon={ tile }
                            isSelected={ postStyle === 'tile' ? true : false }
                            onClick={ () => {
                                setAttributes( { postStyle: 'tile' } )
                            } }
                        >
                        { __( 'Tile', 'sv_posts' ) }
                        </MenuItem>
                    </MenuGroup>
                </Fragment>
            ) }
        </DropdownMenu>
    );

    return(
        <BlockControls>
            <Toolbar>
                <PostStyle />
            </Toolbar>
        </BlockControls>
    );
}