export default ( { props } ) => {
    if ( ! props ) return '';

    const { __ } = wp.i18n;
    const { 
        PanelBody, 
        ToggleControl,
    } = wp.components;
    const { 
        setAttributes,
        attributes: {
            postStyle,
            showAuthor,
            showDate,
            showCategories,
            showEdit,
            filterByType,
        }
    } = props;

    return(
        <PanelBody 
            title={ __( 'Post Meta Settings', 'sv_posts' ) }
            initialOpen={ false }
        >
            <ToggleControl
                label={ __( 'Author', 'sv_posts' ) }
                checked={ showAuthor }
                onChange={ () => setAttributes( { showAuthor: ! showAuthor } ) }
            />
            <ToggleControl
                label={ __( 'Date', 'sv_posts' ) }
                checked={ showDate }
                onChange={ () => setAttributes( { showDate: ! showDate } ) }
            />
            {
                filterByType !== 'page'
                ? <ToggleControl
                    label={ __( 'Categories', 'sv_posts' ) }
                    checked={ showCategories }
                    onChange={ () => setAttributes( { showCategories: ! showCategories } ) }
                />
                : ''
            }
            {
                postStyle !== 'tile' ?
                <ToggleControl
                    label={ __( 'Edit', 'sv_posts' ) }
                    checked={ showEdit }
                    onChange={ () => setAttributes( { showEdit: ! showEdit } ) }
                />
                : null
            }
        </PanelBody>
    );
}