import StyleLayout from './inspector/style_layout';
import PostSettings from './inspector/post_settings';
import ContentSettings from './inspector/content_settings';
import MetaSettings from './inspector/meta_settings';
import ColorSettings from './inspector/color_settings';
import FilterSettings from './inspector/filter_settings';

export default ( { props, data } ) => {
    if ( ! props || ! data ) return '';

    const { InspectorControls } = wp.blockEditor;
    const { 
        attributes: { postStyle }
    } = props;

    return(
        <InspectorControls>
            {
                typeof gutenbergPlugin !== 'undefined' && postStyle === 'list'
                ? null
                : <StyleLayout props={ props } />
            }
            <PostSettings props={ props } />
            <ContentSettings props={ props } />
            <MetaSettings props={ props } />
            <ColorSettings props={ props } />
            <FilterSettings props={ props } data={ data } />
        </InspectorControls>
    );
}