<div class="<?php echo $this->get_wrapper_class(); ?>">
    <?php 
        global $post;

        if ( count( $this->get_posts() ) > 0 ) {
            foreach( $this->get_posts() as $post ) {
                setup_postdata( $post );
                ?>
                    <article <?php echo $this->get_post_attr(); ?>>
                        <?php if ( $this->show_thumbnail() ) { ?>
                            <div class="thumbnail">
                                <?php if ( $this->show_categories() ) { ?>
                                    <div class="categories">
                                        <?php echo $this->get_categories( '', true ); ?>
                                    </div>
                                <?php } ?>

                                <a href="<?php echo get_the_permalink(); ?>">
                                    <?php echo get_the_post_thumbnail( null, $attr['thumbnailSize'] ); ?>
                                </a>
                            </div>
                        <?php } ?>

                        <div class="wrapper">
                            <?php if ( $this->show_title() ) { ?>
                                <div class="title">
                                    <a <?php echo $this->get_title_attr(); ?>>
                                        <?php echo get_the_title(); ?>
                                    </a>
                            </div>
                            <?php } ?>

                            <?php if ( $this->show_excerpt() ) { ?>
                                <div class="excerpt">
                                    <p <?php echo $this->get_excerpt_attr(); ?>>
                                        <?php echo $this->get_excerpt(); ?>
                                    </p>

                                    <?php if ( $this->show_read_more() ) { ?>
                                        <a <?php echo $this->get_read_more_attr(); ?>>
                                            <?php echo $attr['readMoreText']; ?>
                                        </a>
                                    <?php } ?>
                                </div>
                            <?php } ?>

                            <div class="info">
                                <?php if ( $this->show_author() ) { ?>
                                    <div class="author">
                                        <i <?php echo $this->get_info_icon_attr(); ?>>
                                            <?php echo $this->get_icon('user'); ?>
                                        </i>
                                        <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" 
                                            <?php echo $this->get_info_attr(); ?>
                                        >
                                            <?php echo get_the_author_meta( 'display_name' ); ?>
                                        </a>
                                    </div>
                                <?php } if ( $this->show_date() ) { ?>
                                    <div class="date">
                                        <i <?php echo $this->get_info_icon_attr(); ?>>
                                            <?php echo $this->get_icon('clock'); ?>
                                        </i>
                                        <a href="<?php echo get_the_permalink(); ?>" <?php echo $this->get_info_attr(); ?>>
                                            <?php echo get_the_date(); ?>
                                        </a>
                                    </div>
                                <?php } if ( $this->show_categories() && ! $this->show_thumbnail() ) { ?>
                                    <div class="categories">
                                        <i <?php echo $this->get_info_icon_attr(); ?>>
                                            <?php echo $this->get_icon('archive'); ?>
                                        </i>
                                        <?php echo $this->get_categories(); ?>
                                    </div>
                                <?php } if ( $this->show_edit() ) { ?>
                                    <div class="edit">
                                        <i <?php echo $this->get_info_icon_attr(); ?>>
                                            <?php echo $this->get_icon('pen'); ?>
                                        </i>
                                        <a href="<?php echo get_edit_post_link(); ?>" 
                                            <?php echo $this->get_info_attr(); ?>
                                        >
                                            <?php _e( 'Edit', 'sv_posts' ); ?>
                                        </a>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </article>
                <?php
                wp_reset_postdata();
            }
        }
    ?>
</div>